#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_LOOP0_1" type="LOOP0" x="-745.000000" y="112.000000">
      <Parameter name="XFILE" type="subnet_param" value="ARG1" description="No Description Available"/>
      <Parameter name="YFILE" type="subnet_param" value="ARG2" description="No Description Available"/>
      <Parameter name="GFILE" type="subnet_param" value="ARG3" description="No Description Available"/>
      <Parameter name="DOWHILE" type="bool" value="" description=""/>
    </Node>
    <NetOutput name="OUTPUT" node="node_LOOP0_1" terminal="OUTPUT" object_type="any" description="No description available"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_BeamForming_1" type="BeamForming" x="64.000000" y="92.000000">
      <Parameter name="LENGTH" type="int" value="6" description="The frame length of each channel (in samples) [default: 512]."/>
      <Parameter name="ADVANCE" type="int" value="0" description="The shift length beween adjacent frames (in samples)[default: 160]."/>
      <Parameter name="SAMPLING_RATE" type="int" value="12000" description="Sampling rate (Hz) [default: 16000]."/>
      <Parameter name="TF_CONJ" type="string" value="CALC" description="Transfer function (TF) type. CALC generates TF from the geometrical relationship between microphones and a sound source, and DATABASE uses pre-measured TF [default: CALC]."/>
      <Parameter name="TF_CONJ_FILENAME" type="string" value="" description="Filename of a pre-measured transfer function for separation."/>
      <Parameter name="MIC_FILENAME" type="string" value="mic.dat" description="Filename for microphone positions."/>
      <Parameter name="MIC_POS_SHIFT" type="string" value="FIX" description="Method to decide the orgin of the coordinates. FIX uses the origin in the coordinates in MIC_FILENAME, SHIFT regards the center of microphone array as the origin. [default: FIX]"/>
      <Parameter name="SPEED_OF_SOUND" type="float" value="340" description="Speed of sound(m/s) [default: 343.0]."/>
      <Parameter name="SS_SCAL" type="float" value="1.0" description="Scaling factor for SS step size. [default: 1.0]"/>
      <Parameter name="SS_MYU" type="float" value="0.001" description="SS step size value. [default 0.001]"/>
      <Parameter name="LC_MYU" type="float" value="0.03" description="LC step size value. [default 0.001]"/>
      <Parameter name="EXPORT_W" type="bool" value="false" description="Separation matrix W is exported if true. [default: false]"/>
      <Parameter name="EXPORT_W_FILENAME" type="string" value="" description="The filename to export W."/>
      <Parameter name="ALPHA" type="float" value="0.99" description="[NEW] ALPHA parameter used in MNSR as step size parameter."/>
      <Parameter name="NL_FUNC" type="string" value="TANH" description="[NEW] non linear function type used in ICA, HDSS."/>
      <Parameter name="BF_METHOD" type="string" value="MSNR" description="[NEW] beam-forming algorithm type."/>
    </Node>
    <Node name="node_TestCompare_1" type="TestCompare" x="66.000000" y="219.000000"/>
    <Node name="node_TestPublish_1" type="TestPublish" x="-332.000000" y="116.000000">
      <Parameter name="FILE_X" type="subnet_param" value="XFILE" description="No Description Available"/>
      <Parameter name="FILE_Y" type="subnet_param" value="YFILE" description="No Description Available"/>
      <Parameter name="FILE_G" type="subnet_param" value="GFILE" description="No Description Available"/>
    </Node>
    <Node name="node_Iterate_1" type="Iterate" x="-335.000000" y="9.000000">
      <Parameter name="MAX_ITER" type="int" value="1000" description="Number of iteration to do (max)"/>
    </Node>
    <Link from="node_TestPublish_1" output="OUTPUT_X" to="node_BeamForming_1" input="INPUT_FRAMES"/>
    <Link from="node_TestPublish_1" output="OUTPUT_Y" to="node_TestCompare_1" input="INPUT_Y1"/>
    <Link from="node_TestPublish_1" output="OUTPUT_S" to="node_BeamForming_1" input="INPUT_SOURCES"/>
    <Link from="node_BeamForming_1" output="OUTPUT" to="node_TestCompare_1" input="INPUT_Y2"/>
    <Link from="node_TestPublish_1" output="OUTPUT_N" to="node_BeamForming_1" input="INPUT_NOISE_SOURCES"/>
    <NetOutput name="OUTPUT" node="node_TestCompare_1" terminal="OUTPUT" object_type="string" description="No Description Available"/>
    <NetCondition name="CONDITION" node="node_Iterate_1" terminal="OUTPUT"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
  <Parameter name="ARG1" type="" value=""/>
  <Parameter name="ARG2" type="subnet_param" value=""/>
  <Parameter name="ARG3" type="subnet_param" value=""/>
</Document>
